Bug 159750 - starting kmail for first time becomes impossible
Summary: starting kmail for first time becomes impossible
Status: RESOLVED WORKSFORME
Alias: None
Product: kmail
Classification: Applications
Component: general (show other bugs)
Version: 1.9.9
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-03-23 17:53 UTC by
Modified: 2008-04-03 20:33 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description 2008-03-23 17:53:33 UTC
Version:           1.9.9 (using 3.5.9, Mandriva Linux release 2008.0 (Official) for x86_64)
Compiler:          Target: x86_64-mandriva-linux-gnu
OS:                Linux (x86_64) release 2.6.24.3-laptop-3mde

I did created a new user and when running in it i did run kmail and start adding the POP account configurations and at some point it apepared a dialog saying that kmail was checking for the security capacities of the mail server and that was taking forever.

Even clicking the Finish button wasnt making any difference, so i decided to hit button Cancel and than finally kmail started.

Once in kmail finally receive a message saying:
"Unable to stablish a conection with server mail.netvisao.com"

But i did never asked for the first time kmail wizard to do it, now lets imagine that i didnt had an internet conection, the wizard would not simply disappear?!
Comment 1 Thomas McGuire 2008-03-31 00:58:56 UTC
This works correctly in the KDE4 version, which has a timeout.
Comment 2 2008-03-31 02:18:44 UTC
I have not refered to kde4.
What do you see in the details?

  Version:           1.9.9 (using 3.5.9, Mandriva Linux release 2008.0 (Official) for x86_64)

As you see this refers to kde-3.5.9
Comment 3 Thomas McGuire 2008-03-31 14:57:51 UTC
>I have not refered to kde4. 
But I have. I will close bugs which are fixed in the KDE4 version, or otherwise Bugzilla becomes unmanageable for me as a developer.
Comment 4 2008-03-31 17:01:13 UTC
But this is a bug reported for kde-3.5.9, if you want to close it as resolved please fix it instead just saying its fixed to a version to wich was NOT reported.
Comment 5 Thomas McGuire 2008-04-03 20:33:59 UTC
> But this is a bug reported for kde-3.5.9, if you want to close it as resolved please fix it instead just saying its fixed to a version to wich was NOT reported. 

I close reports if the bug is fixed in any version, as there is no way to tell bugzilla "this bug is fixed in trunk, but not in 3.5 branch".
Sorry, but otherwise dealing with bugzilla will get more complicated for the developers. Please do not reopen.